Create a Checkout Link

Generates a link to a hosted page that either allows the user to make payments or add and edit payment methods saved in Customer Vault. The type of page generated (payment or Vault) is based on the Checkout profile created in Merchant Manager and used in the request. See the Create a Checkout Link guide for more information.

This operation generates a unique checkout_id. Use the checkout_id value in a 'Look Up Checkout Payment' request to query the status of a payment made through the hosted page.

Note: Vendor accounts need special permissions to use this operation; contact Qualpay Support to enable it.

Body Params

Checkout Resource

double

Format: Variable length, up to 12,2 N
Description: The total amount of the transaction including sales tax (if applicable).
Conditional Requirement: Required unless checkout_profile_id contains a vault-type profile ID.

string

Format: Fixed length, 3 N
Description: The ISO numeric currency code for the transaction. This must be a currency code associated with one of your payment profiles; contact Qualpay to add currencies. Refer to Currency Codes for a list of currency codes. If the profile_id field is provided, the profile’s currency code will override this field.

string

Format: Variable length, up to 25 AN
Description: The purchase identifier (also referred to as the invoice number) generated by the merchant.

string

Format: Variable length, up to 20 AN
Description: The unique profile ID to be used in payment gateway requests. Specify this field if there are multiple profiles for the same currency or if the request should be processed using a specific profile_id. By default, if provided, the profile_id value decides the tran_currency field. When profile_id is used, the tran_currency is not required.

string

Format: Variable length, up to 128 AN
Description: A merchant-provided reference value that will be stored with the transaction and included with the transaction data reported in Merchant Manager. This value will also be attached to any lifecycle transactions (e.g. retrieval requests and chargebacks) that may occur.

string

Format: Variable length, up to 32 AN
Description: The customer's first name. If this field's value is longer than the maximum allowed length, the name is truncated to the maximum allowed length.

string

Format: Variable length, up to 32 AN
Description: The customer's last name. If this field value is longer than the maximum allowed length, the name is truncated to the maximum allowed length.

string

Format: Variable length, up to 64 AN
Description: Customer's business name, if applicable.

string

Format: Variable length, up to 64 AN
Description: The email address of the customer.

string

Format: Variable length, up to 32 AN
Description: A unique ID to identify the customer. If this is for a payment request, the checkout transaction will be linked to the customer. If this is a new customer, a new customer record is created. customer_first_name and customer_last_name fields are required for new customers. This field is applicable only for merchant IDs that are configured to use Customer Vault.
Conditional Requirement: This field is required for vault-type requests.

string

Format: Fixed length, 32 AN
Description: Card ID from a Customer Vault record. This field is applicable only for vault-type requests.
Conditional Requirement: This field is required to update an existing card in Customer Vault.

string

Format: Variable length, up to 16 AN
Description: The customer's phone number. For non-U.S. phone numbers, prefix the number with + and the country code. For example, for a phone number in the U.K., send the phone number as +447999999999.

string

Format: Variable length, up to 64 AN
Description: The billing street address of the cardholder.

string

Format: Variable length, up to 3 AN
Description: The billing state of the cardholder.

string

Format: Variable length, up to 64 AN
Description: The billing city of the cardholder.

string

Format: Variable length, up to 10 AN
Description: The billing zip code of the cardholder.

string

Format: Fixed length, 1 N
Default: 7
Description: Indicates the type of MOTO transaction. Possible values:

  • 0 - Card present (not MOTO/e-commerce)
  • 1 - One-time MOTO transaction
  • 2 - Recurring
  • 3 - Installment
  • 7 - e-commerce channel encrypted (SSL)

Conditional Requirement: Recurring transactions require moto_ecomm_ind set to 2.

preferences
object
int64

Format: Variable length, up to 10 N
Description: The unique ID associated with the Checkout profile. This ID can be retrieved from the Checkout tab on the Settings page in the portal.
Conditional Requirement: This field is required if you have multiple active Checkout profiles. This field is not required if your account has only one active Checkout profile.

Responses

Language
Credentials
Basic
base64
:
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json